Summary:        GLib-based test library and harness
Name:           libglib-testing
Version:        0.1.1
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/pwithnall/libglib-testing
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  meson gcc pkgconfig(gio-2.0)

%description
libglib-testing is a test library providing test harnesses and mock classes which complement the classes
provided by GLib. It is intended to be used by any project which uses GLib and which wants to write internal unit tests.

%package devel
Summary:        Development files for %{name}
License:        LGPLv2+
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the pkg-config file and development headers for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
sed -i "/subdir('docs')/d" libglib-testing/meson.build

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/libglib-testing-0.so.0*

%files devel
%{_includedir}/glib-testing-0/
%{_libdir}/libglib-testing-0.so
%{_libdir}/pkgconfig/glib-testing-0.pc

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.1.1-1
- Upgrade to version 0.1.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Shuo Wang <abushwang@tencent.com> - 0.1.0-1
- initial build
